/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/****  Project : eXtended C Library (XCLIB)
    *  Purpose : SYNCHRONOUS I/O MULTIPLEXING
    *  Language: ANSI C
    *  File    : demo_io-2.c
    *  Author  : Martin Vicente <martin@vicente.org>
    *
    ****/


#include <sys/time.h>

#include <stddef.h>
#include <stdio.h>

#include <xc/io.h>

#define UNUSED	__unused

static void timer_handler(IOTimerId id, IOTime *spec, const void *i);

int main()
{
    int i = 0;

    IOTime t;

    gettimeofday(&t, NULL);

    t.tv_sec += 1;

    io_add_timer(&t, timer_handler, &i);

    io_main_loop();

    return 0;
}

static void timer_handler(UNUSED IOTimerId id, IOTime *s, const void *_i)
{
    int *const i = (int *)_i;

    IOTime t;

    gettimeofday(&t, NULL);

    printf(
	"spec: sec = %ld, usec = %ld\n"
	"time: sec = %ld, usec = %ld\n",
	(long int)s->tv_sec, (long int)s->tv_usec,
	(long int)t .tv_sec, (long int)t .tv_usec);

    t.tv_sec += 1;

    io_add_timer(&t, timer_handler, i);

    printf("## TIME OUT %d\n", ++*i);
}


/* End of file */
