/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/****  Project : eXtended C Library (XCLIB)
    *  Purpose : LIBRARY INFORMATIONS
    *  Language: ANSI C
    *  File    : demo_library.c
    *  Author  : Martin Vicente <martin@vicente.org>
    *
    ****/


#include <stdio.h>

#include <xc/library.h>

#define COMM(en, fr)	__xcint(comm)(en, fr, NULL)
#define WAIT()		__xcint(wait)()

extern void __xcint(comm)(const char *en, ...);	/* DON'T USE IT! */
extern void __xcint(wait)(void);		/* DON'T USE IT! */

int main()
{
    printf("\n%s: %s\n", __xclib(library), __xclib(purpose));
    printf("\n%s\n", __xclib(license));

    WAIT();

    printf("\nRelease: %s\n", __xclib(release));
    printf("\nVersion: %s\n", __xclib(version));
    printf("\nCompiled on %s", __xclib(system));
    printf(" (%s at %s)", __xclib(date), __xclib(time));
    printf(" by %s\n", __xclib(cc));
    printf("\nWith options: %s\n", __xclib(options));

    WAIT();

    printf("\nContact: %s\n", __xclib(contact));

    WAIT();

    return 0;
}


/* End of file */
