/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/****  Project : eXtended C Library (XCLIB)
    *  Purpose : TRACE FACILITY
    *  Language: ANSI C
    *  File    : demo_trace.c
    *  Author  : Martin Vicente <martin@vicente.org>
    *
    ****/


/*****************************************************************************\

 [English]

 [French]

 Pour avoir les messages d'erreur en couleur, il suffit de dfinir les
 variables d'environnement ERROR_COLOR et ERROR_BG_COLOR. Mes prfrences sont:

	TRACE_COLOR=Cyan
	TRACE_BG_COLOR=Black

 <1>	Uniquement pour la demo: en temps normal, il suffira juste de compiler
	avec `-D__TRACE__' pour rendre possible la trace.
 <2>	Uniquement pour la demo: en temps normal, il suffira juste de compiler
	avec `-D__DEBUG__' pour enrichir les messages.
 <3>	Optionnel: uniquement si on dsire distinguer cette couche logicielle
	dans les diffrents messages de trace.

\*****************************************************************************/


#undef	__TRACE__		/*<1>*/
#define	__TRACE__

#undef	__DEBUG__		/*<2>*/
#define	__DEBUG__

#define _FACILITY	"demo"	/*<3>*/

#include <xc/trace.h>

#ifdef __TRACE__
# define return	return trace_out, 
#endif

static void foo(void);
static void bar(void);

int main()
{
    _trace = 1;	/* ou positionner la variable d'environnement TRACE */

    __trace_in__

    int i;

    i = 1;

    if (i) foo();

    return 0;

    __trace_out__
}

static void foo(void)
{
    if (1) trace_in;

    bar();

    if (1) trace_out;
}

static void bar(void)
{
    trace_in;

    trace("Hello World!");

#ifdef __MACRO_VARARGS__
    trace("Hello %s!", "World");
#else
    trace("Hello World!");
#endif

    trace_out;
}


/* End of file */
