/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	CDECL:		C DECLARATIONS				     */


#ifndef __XC_CDECL_H
#define __XC_CDECL_H


/* eXtended C Library: */
#include <xc/version.h>		/* VERSION OF EXTENDED C LIBRARY	     */


#define __xc_faci char const *const __faci
#define __XC_FACI __FACI__

#ifdef _XCLIB_INTERNALS
#define   xc_faci __faci
#endif

#define __xc_args char const *const __faci, char const *const __file, int const __line
#define __XC_ARGS __FACI__, __FILE__, __LINE__

#ifdef _XCLIB_INTERNALS
#define   xc_args __faci, __file, __line
#endif


#ifdef __cplusplus
# define _CDECL		extern "C"	/* TO IMPORT OR EXPORT C FUNCTIONS   */
# define _CDECL_BEGIN	extern "C" {	/* WITH C++			     */
# define _CDECL_END	}
#else
# define _CDECL
# define _CDECL_BEGIN
# define _CDECL_END
#endif


enum { _xc_none, _xc_always, _xc_auto };

#define _trace	__xclib(_trace)
#define _debug	__xclib(_debug)
#define _color	__xclib(_color)

extern int __xclib(_trace);
extern int __xclib(_debug);
extern int __xclib(_color);


#endif /* XC CDECL HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
