/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	DEFINES:	SOME CLASSIC DEFINES			     */


#ifndef __XC_DEFINES_H
#define __XC_DEFINES_H


/* Standard C Library: */
#include <stddef.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>

/* eXtended C Library: */
#include <xc/mathdefs.h>	/* MATHEMATIC DEFINES			     */


/**************************************
 *          STANDARD DEFINES          *
 **************************************/


/* STANDARD EXIT CODES:
 */
#ifndef EXIT_SUCCESS
#define EXIT_SUCCESS	0		/* ARGUMENT TO `exit(3)' */
#endif
#ifndef EXIT_FAILURE
#define EXIT_FAILURE	1		/* ARGUMENT TO `exit(3)' */
#endif


#ifndef EOF
#define EOF	-1			/* END OF FILE */
#endif


/**************************************
 *          EXTENDED DEFINES          *
 **************************************/


#define NOOP	__noop			/* VOID INSTRUCTION (NO OPERATION) */


#ifndef	FALSE
# if defined __cplusplus || defined false
#  define	FALSE	false
# else
#  ifdef bool
#   define	FALSE	((bool)0)
#  else
#   define	FALSE	0
#  endif
# endif
#endif

#ifndef	TRUE
# if defined __cplusplus || defined true
#  define	TRUE	true
# else
#  ifdef bool
#   define	TRUE	((bool)1)
#  else
#   define	TRUE	1
#  endif
# endif
#endif


#define	NO	FALSE
#define YES	TRUE

#define	OFF	FALSE
#define ON	TRUE


#define ESC		_XC_ESC		/* ESCAPE CHARACTER */
#define ESC_STRING	_XC_ESC_STRING	/* ESCAPE CHARACTER (STRING) */


#undef	ONE
#undef	TEN
#undef	HUNDRED
#undef	THOUSAND
#undef	MILLION
#undef	BILLION
#
#define	ONE		1
#define	TEN		10
#define	HUNDRED		100
#define	THOUSAND	1000
#define	MILLION		1000000
#define	BILLION		1000000000


#ifndef E
#define E	_XC_E			/* MATHEMATICS: e */
#endif

#ifndef PI
#define PI	_XC_PI			/* MATHEMATICS: pi */
#endif


#endif /* XC DEFINES HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
