/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	DYNARR:		DYNAMIC MULTI-DIMENSIONAL ARRAY		     */


#ifndef __XC_DYNARR_H
#define __XC_DYNARR_H


/* Standard C Library: */
#include <stddef.h>
#include <stdarg.h>

/* eXtended C Library: */
#include <xc/cdecl.h>		/* C DECLARATIONS			     */


_CDECL_BEGIN

void *dalloc(size_t size, int dim1, ...);
void *vdalloc(size_t size, int dim1, va_list vargs);
void  dfree(void *ptr);

void *d1alloc(size_t size, int dim1);
void  d1free(void *ptr);

void *d2alloc(size_t size, int dim1, int dim2);
void  d2free(void *ptr);

void *d3alloc(size_t size, int dim1, int dim2, int dim3);
void  d3free(void *ptr);

void *d4alloc(size_t size, int dim1, int dim2, int dim3, int dim4);
void  d4free(void *ptr);

void *dmalloc(size_t size, int ndims, int dim1, ...);
void *vdmalloc(size_t size, int ndims, int dim1, va_list vargs);
void  dmfree(void *ptr);

void *dcalloc(size_t size, int ndims, int dims[]);
void  dcfree(void *ptr);


_CDECL_END


#endif /* XC DYNARR HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
