/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	FEATURES:	FEATURE TEST SWITCHES			     */


/*****************************************************************************\

 LIST OF FEATURE TEST SWITCHES

   _REENTRANT    Select reentrant version of functions (standard way).
   _THREAD_SAFE  Same as above. Often used by other systems.

\*****************************************************************************/


#ifndef __XC_FEATURES_H
#define __XC_FEATURES_H


#ifdef __XC_USE_REENTRANT
#warning "xclib: *** Forbidden use of __XC_USE_REENTRANT"
#endif


#undef __XC_USE_REENTRANT


# if defined _REENTRANT || defined _THREAD_SAFE
#   undef  _REENTRANT
#   define _REENTRANT
#   undef  _THREAD_SAFE
#   define _THREAD_SAFE
# endif


# if defined _REENTRANT || defined _THREAD_SAFE
#   define __XC_USE_REENTRANT 1
# endif


#endif /* XC FEATURES HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
