/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	STANDARDS:	SUPPORT FOR STANDARDS			     */


/*****************************************************************************\

 STANDARD TEST SWITCHES

 Specifications :

   _XOPEN_SOURCE=500 .......................... XPG5 (UNIX 98)
   _XOPEN_SOURCE and _XOPEN_SOURCE_EXTENDED=1 . XPG4 V2 (UNIX 95)
   _XOPEN_SOURCE and _XOPEN_VERSION=4 ......... XPG4
   _XOPEN_SOURCE .............................. XPG3
   _POSIX_C_SOURCE=199506L .................... POSIX Threads
   _POSIX_C_SOURCE=199309L .................... POSIX Real Time
   _POSIX_C_SOURCE=2 .......................... POSIX.2
   _POSIX_C_SOURCE=1 .......................... POSIX.1
   _ANSI_C_SOURCE ............................. C89/C90 (ANSI C / ISO C)
   _ISOC99_SOURCE ............................. C99

 Minimal implications :

 XPG5     : XPG5, XPG4v2, XPG4, XPG3, POSIX.1c, POSIX.1b, POSIX.2, POSIX.1, C95
 XPG4v2   : ____, XPG4v2, XPG4, XPG3, ___________________ POSIX.2, POSIX.1, C89
 XPG4     : _____________ XPG4, XPG3, ____________________________ POSIX.1, C89
 XPG3     : ____________________XPG3, ____________________________ POSIX.1, C89
 POSIX.1c : _________________________ POSIX.1c, POSIX.1b, POSIX.2, POSIX.1, C89
 POSIX.1b : ___________________________________ POSIX.1b, POSIX.2, POSIX.1, C89
 POSIX.2  : ______________________________________________POSIX.2, POSIX.1, C89
 POSIX.1  : ______________________________________________________ POSIX.1, C89
 C89      : _______________________________________________________________ C89

 and

 GNU == GNU + XPG5 + C99 + BSD + SVID

 See standards(3) for more informations.

\*****************************************************************************/


#ifndef __XC_STANDARDS_H
#define __XC_STANDARDS_H


#define __XC_POSIX_RT	199309L
#define __XC_PTHREADS	199506L


# ifdef _GNU_SOURCE
#   undef  _XOPEN_SOURCE
#   define _XOPEN_SOURCE 500
#   if _POSIX_C_SOURCE < __XC_PTHREADS
#     undef  _POSIX_C_SOURCE
#     define _POSIX_C_SOURCE __XC_PTHREADS
#   endif
#   undef  _ISOC9X_SOURCE
#   define _ISOC9X_SOURCE
#   undef  _BSD_SOURCE
#   define _BSD_SOURCE
#   undef  _SVID_SOURCE
#   define _SVID_SOURCE
# endif

# ifdef _XOPEN_SOURCE
#   if _XOPEN_SOURCE - 0 == 500 || _XOPEN_VERSION == 500
#     undef  _XOPEN_SOURCE
#     define _XOPEN_SOURCE 500
#     undef  _XOPEN_VERSION
#     define _XOPEN_VERSION 500
#     undef  _XOPEN_SOURCE_EXTENDED
#     define _XOPEN_SOURCE_EXTENDED 1
#     if _POSIX_C_SOURCE < __XC_PTHREADS
#       undef  _POSIX_C_SOURCE
#       define _POSIX_C_SOURCE __XC_PTHREADS
#     endif
#   endif
#   if _XOPEN_SOURCE_EXTENDED == 1
#     if _XOPEN_VERSION < 4
#       undef  _XOPEN_VERSION
#       define _XOPEN_VERSION 4
#     endif
#     if _POSIX_C_SOURCE < 2
#       undef  _POSIX_C_SOURCE
#       define _POSIX_C_SOURCE 2
#     endif
#   endif
# endif

# if defined _POSIX_SOURCE || defined _XOPEN_SOURCE
#   if _POSIX_C_SOURCE < 1
#     undef  _POSIX_C_SOURCE
#     define _POSIX_C_SOURCE 1
#   endif
# endif

# if _POSIX_C_SOURCE >= 1
#   undef  _POSIX_SOURCE
#   define _POSIX_SOURCE
# endif

# if defined _ISOC9X_SOURCE
#   undef  _ISOC99_SOURCE
#   define _ISOC99_SOURCE
# endif

# if defined __STRICT_ANSI__ || defined _ISOC99_SOURCE || defined _POSIX_SOURCE
#   undef  _ANSI_C_SOURCE
#   define _ANSI_C_SOURCE
#endif


# ifdef _GNU_SOURCE
#   define __XC_USE_GNU		1
# endif

# ifdef _XOPEN_SOURCE
#   if _XOPEN_SOURCE - 0 == 500
#     define __XC_USE_XPG5	1
#     define __XC_USE_XPG4v2	1
#     define __XC_USE_XPG4	1
#     define __XC_USE_XPG3	1
#   elif _XOPEN_SOURCE_EXTENDED == 1
#     define __XC_USE_XPG4v2	1
#     define __XC_USE_XPG4	1
#     define __XC_USE_XPG3	1
#   elif _XOPEN_VERSION >= 4
#     define __XC_USE_XPG4	1
#     define __XC_USE_XPG3	1
#   else
#     define __XC_USE_XPG3	1
#   endif
# endif

# ifdef _POSIX_C_SOURCE
#   if   _POSIX_C_SOURCE >= __XC_PTHREADS
#     define __XC_USE_PTHREADS	1
#     define __XC_USE_POSIX_RT	1
#     define __XC_USE_POSIX2	1
#     define __XC_USE_POSIX1	1
#   elif _POSIX_C_SOURCE >= __XC_POSIX_RT
#     define __XC_USE_POSIX_RT	1
#     define __XC_USE_POSIX2	1
#     define __XC_USE_POSIX1	1
#   elif _POSIX_C_SOURCE >= 2
#     define __XC_USE_POSIX2	1
#     define __XC_USE_POSIX1	1
#   elif _POSIX_C_SOURCE >= 1
#     define __XC_USE_POSIX1	1
#   endif
# endif

# ifdef _ANSI_C_SOURCE
#   define __XC_USE_ANSI	1
# endif

# ifdef _ISOC99_SOURCE
#   define __XC_USE_ISOC99	1
# endif

# ifdef _BSD_SOURCE
#   define __XC_USE_BSD		1
# endif

# ifdef _SVID_SOURCE
#   define __XC_USE_SVID	1
# endif


#endif /* XC STANDARDS HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
