/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	TIME:		POSIX TIME SERVICE			     */


#ifndef __XC_TIME_H
#define __XC_TIME_H


/* POSIX: */
#include <sys/time.h>

/* eXtended C Library: */
#include <xc/cdecl.h>		/* C DECLARATIONS			     */


_CDECL_BEGIN

int cvt_time(struct timeval *t, long int *sec, long int *msec, long int *usec);
int put_time(struct timeval *t, long int  sec, long int  msec, long int  usec);
int add_time(struct timeval *t, const struct timeval *t2);
int sub_time(struct timeval *t, const struct timeval *t2);
int cmp_time(struct timeval *t, const struct timeval *t2);
int get_time(struct timeval *t);
int set_time(struct timeval *t);
int fix_time(struct timeval *t);

_CDECL_END


extern const struct timeval	__xclib(zero_time);


#define zero_time		__xclib(zero_time)


#endif /* XC TIME HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
