/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	TIMER:		SIMPLIFIED TIMER INTERFACE		     */


#ifndef __XC_TIMER_H
#define __XC_TIMER_H


/* POSIX: */
#include <sys/time.h>

/* eXtended C Library: */
#include <xc/cdecl.h>		/* C DECLARATIONS			     */


enum
{
    timerNEW = (1U << 0),
    timerSET = (1U << 1),
    timerTOP = (1U << 2),
    timerPUT = (1U << 3),
    timerDEL = (1U << 4)
};


struct timer
{
    struct timeval    now, start, last;
    unsigned long int count;
};


_CDECL_BEGIN

const struct timer *timer_ctl(const struct timer *timer, unsigned int flags);

_CDECL_END


#endif /* XC TIMER HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
