/*  Copyright (C) 1996-2001  Martin Vicente			      -*- c -*-
    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*  XCLIB 0.3	TYPES:		DEFINITION OF USEFUL TYPES		     */


#ifndef __XC_TYPES_H
#define __XC_TYPES_H


/* POSIX: */
#include <sys/types.h>
#include <sys/time.h>

/* Standard C Library: */
#include <stddef.h>
#ifdef HAVE_STDINT_H
#include <stdint.h> /*  EXPERIMENTAL (if you have any problem, mail me) */
#endif

/* eXtended C Library: */
#include <xc/bool.h>		/* BOOLEAN TYPE				     */
#include <xc/ints.h>		/* INTEGER TYPES			     */
#ifdef __EXPERIMENTAL__
#include <xc/status.h>		/* EXIT STATUS OF FUNCTION		     */
#endif


#define	UINT	unsigned int


#ifndef timeval_t
#define timeval_t      timeval_t
typedef struct timeval timeval_t;
#endif

#if 0
#ifndef timespec_t
#define timespec_t      timespec_t
typedef struct timespec timespec_t;
#endif
#endif


/* Comparison function for qsort(3) */
typedef int (*compar_fn_t)(const void *, const void *);


#endif /* XC TYPES HEADER */


/*------------------------------/ END OF FILE /------------------------------*/
