/*  XCLIB - a set of C functions for general purposes		      -*- c -*-
    Copyright (C) 1996-2001  Martin Vicente

    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*\
  |  Martin Vicente, 1996-2001
  |
  | Project : XCLIB (eXtended C Library)
  | Purpose : ERROR HANDLING FACILITY (internals)
  | Version : 0.3
  | Language: ANSI C
  | File    : error/intern.h
  | Author  : Martin VICENTE <martin@vicente.org>
\*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*/


#include <stdarg.h>

#include <xc/cdecl.h>

#define error_set(fmt, va)	__xcint(error_set)(xc_args, fmt, va)
#define error_put(sev, fmt, va)	__xcint(error_put)(xc_args, sev, fmt, va)
#define error_clr()		__xcint(error_clr)()

void __xcint(error_set)(__xc_args, const char *fmt, va_list);
void __xcint(error_put)(__xc_args, const char *sev, const char *fmt, va_list);
void __xcint(error_clr)(void);


/* END OF FILE */
