/*  XCLIB - a set of C functions for general purposes		      -*- c -*-
    Copyright (C) 1996-2001  Martin Vicente

    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*\
  |  Martin Vicente, 1996-2001
  |
  | Project : XCLIB (eXtended C Library)
  | Purpose : SYNCHRONOUS I/O MULTIPLEXING (internals)
  | Version : 0.3
  | Language: ANSI C
  | File    : io/ioset.h
  | Author  : Martin VICENTE <martin@vicente.org>
\*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*/


#include <sys/types.h>

#include <xc/private.h>

struct ioset
{
    fd_set fdset[3];
    int    fdmax;
};

#define ioset_clr(ioset)		__xcint(ioset_clr)(ioset)
#define ioset_add(ioset, fd, mask)	__xcint(ioset_add)(ioset, fd, mask)

void __xcint(ioset_clr)(struct ioset *ioset);
void __xcint(ioset_add)(struct ioset *ioset, int fd, unsigned int mask);


/* END OF FILE */
