/*  XCLIB - a set of C functions for general purposes		      -*- c -*-
    Copyright (C) 1996-2001  Martin Vicente

    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*\
  |  Martin Vicente, 1996-2001
  |
  | Project : XCLIB (eXtended C Library)
  | Purpose : LIBRARY INFORMATIONS
  | Version : 0.3
  | Language: ANSI C
  | File    : library/library.c
  | Author  : Martin VICENTE <martin@vicente.org>
\*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*/


#define _XCLIB_INTERNALS

#include "xc/library.h"

#include "library/library.h"

#include "global.h"

GLOBAL const char __xclib(library)[] = "XCLIB ("LIBRARY")";
GLOBAL const char __xclib(purpose)[] = PURPOSE;
GLOBAL const char __xclib(license)[] = COPYRIGHT"\n\n"LICENSE;
GLOBAL const char __xclib(contact)[] = CONTACT;
GLOBAL const char __xclib(release)[] = __XCLIB_RELEASE__;
GLOBAL const char __xclib(version)[] = __XCLIB_VERSION__;

GLOBAL const char __xclib(system)[] = __SYSTEM__;

GLOBAL const char __xclib(date)[] = __DATE__;
GLOBAL const char __xclib(time)[] = __TIME__;

#ifdef __GNUC__
GLOBAL const char __xclib(cc)[] = "GNU CC version " __VERSION__;
#else
GLOBAL const char __xclib(cc)[] = UNKNOWN_STRING;
#endif

GLOBAL const char __xclib(options)[] = ""
#if defined __DEVEL__
"DEVEL "
#endif
#if defined __TRACE__
"TRACE "
#endif
#if defined __DEBUG__
"DEBUG/2 "
#elif !defined NDEBUG
"DEBUG/1 "
#else
"NO-DEBUG "
#endif
#if defined __OPTIMIZE__
"OPTIMIZE "
#endif
#ifdef __REENTRANT__
"REENTRANT/THREAD-SAFE "
#endif
;


/* End Of File */
