/*  XCLIB - a set of C functions for general purposes		      -*- c -*-
    Copyright (C) 1996-2001  Martin Vicente

    This file is part of the eXtended C Library (XCLIB).

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library (see the file COPYING.LIB).
    If not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.		     */


/*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*\
  |  Martin Vicente, 1996-2001
  |
  | Project : XCLIB (eXtended C Library)
  | Purpose : MISSING FUNCTIONS
  | Version : 0.3
  | Language: ANSI C
  | File    : missing/fmaxl.c
  | Author  : Martin VICENTE <martin@vicente.org>
\*|+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++|*/


/*****************************************************************************\

  NOT TESTED!!!

 [English]

 From GNU C LIBRARY documentation (info):

     The `fmax' function returns the greater of the two values X and Y.

     If an argument is NaN, the other argument is returned.  If both
     arguments are NaN, NaN is returned.

 [French]

 Cette fonction:

   o est incluse dans la norme ISO C 99 (9X);
   o ne fait pas partie des standards BSD 4.3, ISO C 89 ou POSIX.

\*****************************************************************************/


#define _XCLIB_INTERNALS

#define _ISOC9X_SOURCE	/* need for NAN and isnan() */
#define _ISOC99_SOURCE	/* need for NAN and isnan() */

#include <math.h>

#include <xc/macros.h>

#include "xc/missing.h"

#include "global.h"

#ifdef HAVE_FMAX
#warning "xclib: *** fmaxl() is already defined in C Library"
#endif

#ifdef __GLIBC__
#warning "xclib: *** fmaxl() is already defined in GNU C Library"
#endif

#ifndef NAN
#define NAN	(0.0 / 0.0)
#endif

#undef fmaxl

#define FNAME	fmaxl
#define TYPE	long double

#include "missing/fmax.h"


/* End Of File */
