#include <signal.h>
#include <stdio.h>

#include "xc/io.h"

static void timer(IOTimerId id, IOTime *spec, IOData *data);

static void signal_handler(int signum);

int main()
{
    IOTime t;

    signal(SIGINT, signal_handler);

    gettimeofday(&t, NULL);

    t.tv_sec += 10;

    io_add_timer(&t, timer, NULL);

    io_main_loop();

    return 0;
}

static void timer(
    __unused IOTimerId id,
    __unused IOTime   *spec,
    __unused IOData   *data)
{
    puts(__FUNC__ "()");
}

static void signal_handler(int signum)
{
    printf(__FUNC__ "(%d)\n", signum);
}
